Package org.eclipse.emf.cdo.server.db.evolution.phased

# Interface Phase.Handler

All Known Implementing Classes:
  `BasicPhaseHandler`, `DefaultChangeDetector`, `DefaultRepositoryExporter`, `DefaultSchemaMigrator`

Enclosing class:
  `Phase`

public static interface Phase.Handler
A handler for a specific phase in the model evolution process.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`
The product group for phase handlers.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(Context context)`
Executes the phase handler.
`Phase`
`getPhase()`
Returns the phase this handler is responsible for.
`void`
`setPhase(Phase phase)`
Sets the phase this handler is responsible for.

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP
The product group for phase handlers.

See Also:
  - Constant Field Values

## Method Details

### getPhase

Phase getPhase()
Returns the phase this handler is responsible for.

### setPhase

void setPhase(Phase phase)
Sets the phase this handler is responsible for.

No Reference
  This method is not intended to be called by clients.

### execute

void execute(Context context) throws Exception
Executes the phase handler.

Throws:
  `Exception`